Bug 868597 - [PATCH] add static libraries
[PATCH] add static libraries
Product: Fedora
Classification: Fedora
Component: mingw-libgpg-error (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Erik van Pienbroek
Fedora Extras Quality Assurance
Depends On:
Blocks: 868599
  Show dependency treegraph
Reported: 2012-10-20 23:14 EDT by Yaakov Selkowitz
Modified: 2012-12-20 10:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-12-20 10:12:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
add static libraries (2.69 KB, patch)
2012-10-20 23:14 EDT, Yaakov Selkowitz
no flags Details | Diff

  None (edit)
Description Yaakov Selkowitz 2012-10-20 23:14:58 EDT
Created attachment 630724 [details]
add static libraries

Cygwin's setup.exe installer utility, which for various reasons is a native Win32 application and is linked statically for easy redistributability, depends on libgcrypt, which requires libgpg-error.

The attached patch enables -static subpackages for mingw-libgpg-error, per the Fedora packaging guidelines.  It would be helpful if this could be pulled into F17 and F18.
Comment 1 Erik van Pienbroek 2012-10-24 14:20:55 EDT
Thanks for the patch!
Updated packages are currently being built
Comment 2 Fedora Update System 2012-10-24 14:35:21 EDT
mingw-libgpg-error-1.10-3.fc17 has been submitted as an update for Fedora 17.
Comment 3 Fedora Update System 2012-10-24 14:36:06 EDT
mingw-libgpg-error-1.10-3.fc18 has been submitted as an update for Fedora 18.
Comment 4 Fedora Update System 2012-10-26 15:30:38 EDT
Package mingw-libgpg-error-1.10-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mingw-libgpg-error-1.10-3.fc18'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-12-20 10:12:15 EST
mingw-libgpg-error-1.10-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.